ClarisDrawStyleManagerInternal::Gradient Struct Reference documentation

ClarisDrawStyleManagerInternal::Gradient Struct Reference

## Public Member Functions
| Gradient (int type=0, int nColor=0, int angle=0, float decal=0)
| construtor
bool | ok () const
| check if the gradient is valid
bool | update (MWAWGraphicStyle &style) const
| update the style

## Public Attributes
int | m_type
| the type
int | m_numColors
| the number of color
MWAWColor | m_colors [4]
| the color
int | m_angle
| the angle
float | m_decal
| the decal
MWAWBox2i | m_box
| the center bdbox

## Friends
std::ostream & | operator<< (std::ostream &o, Gradient const &gr)
| operator<<

## Constructor & Destructor Documentation

## ◆ Gradient()

ClarisDrawStyleManagerInternal::Gradient::Gradient | ( | int | type = 0,
|  | int | nColor = 0,
|  | int | angle = 0,
|  | float | decal = 0 )
| inlineexplicit

construtor

Referenced by operator<<.

## Member Function Documentation

## ◆ ok()

bool ClarisDrawStyleManagerInternal::Gradient::ok | ( |  | ) | const
| inline

check if the gradient is valid

Referenced by ClarisDrawStyleManager::readGradientList(), and update().

## ◆ update()

bool ClarisDrawStyleManagerInternal::Gradient::update | ( | MWAWGraphicStyle & | style | ) | const

update the style

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Gradient const & | gr )
| friend

operator<<

## Member Data Documentation

## ◆ m_angle

int ClarisDrawStyleManagerInternal::Gradient::m_angle

the angle

Referenced by Gradient(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_box

MWAWBox2i ClarisDrawStyleManagerInternal::Gradient::m_box

the center bdbox

Referenced by Gradient(), ClarisDrawStyleManagerInternal::State::initGradients(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_colors

MWAWColor ClarisDrawStyleManagerInternal::Gradient::m_colors[4]

the color

Referenced by Gradient(), ClarisDrawStyleManagerInternal::State::initGradients(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_decal

float ClarisDrawStyleManagerInternal::Gradient::m_decal

the decal

Referenced by Gradient(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_numColors

int ClarisDrawStyleManagerInternal::Gradient::m_numColors

the number of color

Referenced by Gradient(), ok(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

## ◆ m_type

int ClarisDrawStyleManagerInternal::Gradient::m_type

the type

Referenced by Gradient(), ok(), operator<<, ClarisDrawStyleManager::readGradientList(), and update().

The documentation for this struct was generated from the following file:

- ClarisDrawStyleManager.cxx